#
# spec file for package scheme (Version 3.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tetex texinfo
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         scheme
Copyright:    GPL
Group:        Development/Languages
Autoreqprov:  on
Version:      3.2
Release:      292
Summary:      UMB Scheme
Source:       ftp://ftp.cs.umb.edu/pub/scheme/umb-scheme-3.2.tar.bz2
Source1:      http://swissnet.ai.mit.edu/ftpdir/scm/slib2d1.tar.bz2
Source2:      slibcat
Patch:        scheme-%{version}.dif
BuildRoot:    /tmp/%{name}-root

%description
UMB Scheme is an implementation of the language described in the IEEE
Standard for the Scheme  Programming  Language (December, 1990).
All syntax, variables, and procedures are implemented. Integers
are implemented as fixnums and bignums, rationals as pairs of
integers, (inexact) reals as double-precision floats, and (inexact)
complex numbers as pairs of  double-precision floats.

Authors:
--------
    William R. Campbell <bill@cs.umb.edu>

SuSE series: d

%prep
%setup
rm -rf slib SLIB-for-umb-scheme.init
%setup -D -T -a 1
%patch

%build
make "RPM_OPT_FLAGS=$RPM_OPT_FLAGS"
texi2dvi scheme.texinfo
makeinfo scheme.texinfo

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{/usr/{bin,lib/scheme},%{_mandir}/man1,%{_infodir}}
install -s -oroot -groot scheme $RPM_BUILD_ROOT/usr/bin
install -m 644 -oroot -groot prelude.scheme $RPM_BUILD_ROOT/usr/lib
install -m 644 -oroot -groot scheme.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m644 %{S:2} $RPM_BUILD_ROOT/usr/lib/scheme/slibcat
find slib | cpio -pdm $RPM_BUILD_ROOT/usr/lib/scheme
install -m644 prelude.scheme $RPM_BUILD_ROOT/usr/lib/scheme
install -m644 scheme.info* slib/slib.info* $RPM_BUILD_ROOT%{_infodir}/
chmod 644  $RPM_BUILD_ROOT/usr/lib/scheme/slib/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/scheme
%doc scheme.dvi slib/{ANNOUNCE,FAQ,README}
%config /usr/lib/prelude.scheme
/usr/lib/scheme
%doc %{_mandir}/man1/scheme.1*
%doc %{_infodir}/*.info*

%changelog -n scheme
* Sat Sep 15 2001 - schwab@suse.de
- Fix umb-scheme for 64 bit architectures.
* Tue Apr 10 2001 - cihlar@suse.cz
- update slib to version 2d1
* Wed Nov 15 2000 - cihlar@suse.cz
- update slib to version 2c9
- bzipped sources
* Wed Aug 23 2000 - cihlar@suse.cz
- fixed security bug
* Wed Aug 16 2000 - cihlar@suse.cz
- update slib to version 2c8
* Mon Jun 19 2000 - kasal@suse.de
- Added Group: tag
* Fri Mar 03 2000 - kasal@suse.cz
- update umb-scheme version 3.2 and slib to version 2c7
- moved man and info pages to /usr/share/...
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
